> ## Documentation Index
> Fetch the complete documentation index at: https://dev.pika.art/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video



## OpenAPI

````yaml get /videos/{video_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /videos/{video_id}:
    get:
      summary: Get Video
      operationId: get_video_videos__video_id__get
      parameters:
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X GET 'https://devapi.pika.art/videos/your_video_id' \
            -H 'X-API-KEY: your_api_key' \
            -H 'Accept: application/json'
        - lang: python
          label: Python
          source: |

            import requests

            url = "https://devapi.pika.art/videos/your_video_id"
            headers = {
                "X-API-KEY": "your_api_key",
                "Accept": "application/json"
            }
            response = requests.get(url, headers=headers)
            print(response.json())
components:
  schemas:
    VideoResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        progress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Progress
      type: object
      required:
        - id
        - status
        - url
        - progress
      title: VideoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````